Subject: Re: [bug#74542] [PATCH 00/11] Improved tooling for package updates

From: Ludovic Courtès <[email-masked]>
Date: Tue, 26 Nov 2024 18:21:26 +0100

Hi,

Simon Tournier <[email-masked]> skribis:

> Maybe, we could be a bit more stringent on the list and filter out more
> packages than only the ones based on build-systems.

Yes, I agree.  I’m not too concerned about multi-versioned package
(clang, slurm, etc.): worst that can happen is that we’ll in fact build
just a single package, even though it appears several times in the
resulting manifest.

But things like PyPI, the kernel, etc., should probably be avoided.

Not sure what filtering predicate to use.  Thoughts?

Ludo’.